| CE Gobi SDK 2.14 GobiApi

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
tDialReqParam Struct Reference

`#include <GobiVoiceMgmtAPI.h>`

## Public Attributes
CHAR | callNumber [MAX_CALL_NO_LEN]
BYTE * | pCallType
BYTE * | pCLIRType
UUSInfo * | pUUSInfo
CUGInfo * | pCUGInfo
BYTE * | pEmergencyCategory
calledPartySubAdd * | pCallPartySubAdd
ULONG * | pSvcType

## Detailed Description

This structure contains Voice Call Request Parameters

Parameters

  callNumber[81] | Number to be dialed in ASCII string, NULL terminated. Length Range [1 to 81]
  pCallType | the type of call to be dialed. CALL_TYPE_VOICE is automatically selected if this parameter is not provided. When CALL_TYPE_NON_STD_OTASP is selected, the call is sent as a nonstandard OTASP call regardless of the digit string Call type values are: 0x00 - CALL_TYPE_VOICE - Voice (automatic selection) 0x01 - CALL_TYPE_VOICE_FORCED - Avoid modem call classification 0x08 - CALL_TYPE_NON_STD_OTASP - Nonstandard OTASP* 0x09 - CALL_TYPE_EMERGENCY - Emergency
  pCLIRType | CLIR type values are: 0x01 - CLIR_SUPPRESSION - Suppression 0x02 - CLIR_INVOCATION - Invocation
  pUUSInFo | Pointer to structure of UUSInfo See UUSInfo for more information
  pCUGInfo | Pointer to structure of CUGInfo See CUGInfo for more information
  pEmergencyCategory | Bit mask of emergency number categories. This is only applicable when the call type is set to Emergency. Bit 0 - VOICE_EMER_CAT_POLICE_BIT - Police Bit 1 - VOICE_EMER_CAT_AMBULANCE_BIT - Ambulance Bit 2 - VOICE_EMER_CAT_FIRE_BRIGADE_BIT- Fire brigade Bit 3 - VOICE_EMER_CAT_MARINE_GUARD_BIT - Marine guard Bit 4 - VOICE_EMER_CAT_MOUNTAIN_RESCUE_BIT - Mountain rescue Bit 5 - VOICE_EMER_CAT_MANUAL_ECALL_BIT - Manual emergency call Bit 6 - VOICE_EMER_CAT_AUTO_ECALL_BIT - Automatic emergency call Bit 7 - VOICE_EMER_CAT_SPARE_BIT - Spare bit
  pCallPartySubAdd | Pointer to structure of calledPartySubAdd See calledPartySubAdd for more information
  pSvcType | Service Type. 0x01 - VOICE_DIAL_CALL_SRV_TYPE_AUTOMATIC - Automatic 0x02 - VOICE_DIAL_CALL_SRV_TYPE_GSM - GSM 0x03 - VOICE_DIAL_CALL_SRV_TYPE_WCDMA - WCDMA 0x04 - VOICE_DIAL_CALL_SRV_TYPE_CDMA_AUTOMATIC - CDMA automatic 0x05 - VOICE_DIAL_CALL_SRV_TYPE_GSM_WCDMA - GSM or WCDMA 0x06 - VOICE_DIAL_CALL_SRV_TYPE_LTE -LTE

The documentation for this struct was generated from the following file:

- GobiVoiceMgmtAPI.h